{
  "env": {
    "browser": true,
    "es2021": true
  },
  "extends": [
    "plugin:vue/essential",
    "standard"
  ],
  "parserOptions": {
    "ecmaVersion": "latest",
    "parser": "@typescript-eslint/parser",
    "sourceType": "module"
  },
  "plugins": [
    "vue",
    "@typescript-eslint"
  ],
  "rules": {
    "indent": [
      "error",
      4
    ],
    "space-before-function-paren": [
      "error",
      {
        "anonymous": "always",
        "named": "never",
        "asyncArrow": "always"
      }
    ],
    "eqeqeq": 0,
    "array-callback-return": 0,
    "id-length": [
      "error",
      {
        "min": 4,
        "exceptions": [
          "CSS",
          "fs",
          "alt",
          "url",
          "App",
          "id",
          "img",
          "key",
          "src",
          "tag",
          "Tag"
        ]
      }
    ],
    "comma-dangle": "off",
    "@typescript-eslint/comma-dangle": [
      "error",
      {
        "arrays": "always-multiline",
        "objects": "always-multiline",
        "imports": "never",
        "exports": "never",
        "functions": "never"
      }
    ]
  }
}
